## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <leaf>

`<leaf>` | encodes the leaves (terminal nodes) of a tree.

Attributes

(In addition to global attributes)

`label` | gives a label for a leaf.
| Datatype: CDATA
| Values: A character string.
| Default: #IMPLIED

`value` | provides the value of a leaf, which is a feature structure or other analytic element.
| Datatype: IDREF
| Values: A valid identifier of a feature structure or other analytic element.
| Default: #IMPLIED
`parent` | provides the identifier of parent of a leaf.
| Datatype: IDREF
| Values: The identifier of the parent node.
| Default: #IMPLIED
`follow` | provides an identifier of an element which this leaf follows.
| Datatype: IDREF
| Values: The identifier of another intermediate node or leaf of the tree.
| Default: #IMPLIED
Note | If the tree is unordered or partially ordered, this attribute has the property of fixing the relative order of the leaf and the element which is the value of the attribute.

Example

    <leaf id="peri1" label="periscope" parent="n1"/>

Note

The in degree of a leaf is always 1, its out degree always 0.

Module Declared in file teinet2; Additional tag set for Graph Theory: enabled by TEI.nets
Data Description empty
May occur within tree
Declaration

    <!ELEMENT leaf %om.RO; EMPTY>
    <!ATTLIST leaf
          %a.global;
          label CDATA #IMPLIED
          value IDREF #IMPLIED
          parent IDREF #IMPLIED
          follow IDREF #IMPLIED>

See further 21.2 Trees

Up: 35 Elements